/* ***** BEGIN LICENSE BLOCK *****
 *   Version: MPL 1.1/GPL 2.0/LGPL 2.1
 *
 * The contents of this file are subject to the Mozilla Public License Version
 * 1.1 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is QrAuth.
 *
 * The Initial Developer of the Original Code is
 * Maximilien Cuony.
 * Portions created by the Initial Developer are Copyright (C) 2008
 * the Initial Developer. All Rights Reserved.
 *
 * Alternatively, the contents of this file may be used under the terms of
 * either the GNU General Public License Version 2 or later (the "GPL"), or
 * the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
 * in which case the provisions of the GPL or the LGPL are applicable instead
 * of those above. If you wish to allow use of your version of this file only
 * under the terms of either the GPL or the LGPL, and not to allow others to
 * use your version of this file under the terms of the MPL, indicate your
 * decision by deleting the provisions above and replace them with the notice
 * and other provisions required by the GPL or the LGPL. If you do not delete
 * the provisions above, a recipient may use your version of this file under
 * the terms of any one of the MPL, the GPL or the LGPL.
 *
 * ***** END LICENSE BLOCK ***** */

// QrAuth - Génération de l'image - (C) Maximilien Cuony [The_glu] http://theglu.org

import javax.microedition.midlet.*;

/**
 * @author maximilien
 */
public class QrAuth extends MIDlet implements javax.microedition.lcdui.CommandListener
{private void initialize() {
        javax.microedition.lcdui.Display.getDisplay(this).setCurrent(get_image());
    }

    public void commandAction(javax.microedition.lcdui.Command command, javax.microedition.lcdui.Displayable displayable) {
        if (command == exitCommand) {
            javax.microedition.lcdui.Display.getDisplay(this).setCurrent(null);
            destroyApp(true);
            notifyDestroyed();
        }

    }

    private QrCanevas get_image() {
        if (imageBox == null) {
            
            imageBox = new QrCanevas();
            
            QrGenerator qrGenerator = new QrGenerator();
            //imageBox.setData(qrGenerator.generate("2585c9acd1c581993d875ba45e7e3854"));
            try {
            imageBox.setData(qrGenerator.generate(AeSimpleMD5.MD5(imageBox.generateTheUniqueCode())));
            } catch (Exception e) {
           
            }
            imageBox.addCommand(get_exitCommand());
            imageBox.setCommandListener(this);
        }
        return imageBox;
    }

    private javax.microedition.lcdui.Command get_exitCommand() {
        if (exitCommand == null) {
            exitCommand = new javax.microedition.lcdui.Command("Exit", javax.microedition.lcdui.Command.EXIT,
                    1);
        }
        return exitCommand;
    }
    
    QrCanevas imageBox;
    javax.microedition.lcdui.Command exitCommand;

    public void startApp() {
        initialize();
    }

    public void pauseApp() {
    }

    public void destroyApp(boolean unconditional) {
    }
}
